Summary
Update Trigger
Description
Update a Trigger.
Route
PATCH /operations-manager/triggers/:id
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to update. |
| updates |
object |
yes |
The details of the Trigger document to update. |
Copied to Clipboard
{
"title": "updates",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-update",
"oneOf": [
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "239dd0b1b0e2d5413cde7ccc",
"lastExecuted": null,
"migrationVersion": -64309351,
"type": "endpoint",
"verb": "POST",
"routeName": "Ickpttm",
"schema": null,
"jst": null
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "1b8e1e262a4741a57492e4da",
"lastExecuted": null,
"migrationVersion": -981739,
"type": "eventSystem",
"source": "id",
"topic": "laborum commodo in reprehenderit",
"schema": null,
"legacyWrapper": true,
"jst": "12262f0edc24eb6ab15286ec"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "d08646b865d46ca9049aeece",
"lastExecuted": 76018397,
"migrationVersion": -92274053,
"type": "manual",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"formSchemaHash": "nisi officia incididunt occaecat ipsum",
"legacyWrapper": false,
"formId": null
},
{
"repeatUnit": "day",
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "701e5e62e0730d5a5c30cbf6",
"lastExecuted": 34365004,
"migrationVersion": -84370374,
"repeatInterval": 10000,
"formId": "bc1ec9a3fc037f5f263be6cf"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "68283a1a8b6e5b94dea69db5",
"lastExecuted": 7619014,
"migrationVersion": -35336774,
"createdBy": "Pronghorn",
"created": "1966-01-20T22:44:11.863Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2004-12-10T01:13:27.493Z",
"_id": "186d1839e497b20cce2d4264"
}
}